Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18838

Description

Under QGIS master, a simple processing model to merge three raster layers is now broken, fails by returning an error message. Log:

Algorithm simple merge starting...

Prepare algorithm 0: Merge

Running Merge [1/1]

Parameters: INPUT =None, PCT =True, SEPARATE =True

Failed

Error executing algorithm 0 'NoneType' object has no attribute 'split' See log for more details

The merge algorithm itself is working fine when used outside of a modelling process. It seems the INPUT parameter doesn't get compiled

properly, i.e. it should be my list of rasters, not None.

I'm attaching the simple merge model here to ease debugging by developers. This used to work in earlier versions of QGIS, flagging as a

regressing blocker.

History

#1 - 2014-06-09 06:13 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

works fine on current master.

#2 - 2014-06-09 07:03 AM - Mathieu Pellerin - nIRV

Giovanni, by working you mean you try to execute the attached model?

#3 - 2014-06-09 07:07 AM - Giovanni Manghi

Mathieu Pellerin - nIRV wrote:

Giovanni, by working you mean you try to execute the attached model?

yes, I tested the attach model.
#4 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

simple_merge.model 530 Bytes 2014-06-02 Mathieu Pellerin - nIRV
